FROM ubuntu:latest as builder

RUN apt-get update && \
	apt-get install -y curl bzip2 unzip python3 python3-pip git zip libfreetype6 libxrender1 libfontconfig1 > /dev/null && \
	python3 -m pip install nrfutil
RUN curl -X POST -F "fileid=8F19D314130548209E75EFFADD9348DB" https://www.nordicsemi.com/api/sitecore/Products/DownloadPlatform -o nrftools.tar && \
	tar -xvf nrftools.tar && \
	rm nrftools.tar
ENV PATH="/mergehex:/nrfjprog:$PATH"
RUN curl https://developer.nordicsemi.com/nRF5_SDK/nRF5_SDK_v15.x.x/nRF5_SDK_15.2.0_9412b96.zip -o nRF5_SDK_15.2.0_9412b96.zip && unzip -d / nRF5_SDK_15.2.0_9412b96.zip > /dev/null && rm nRF5_SDK_15.2.0_9412b96.zip 
RUN curl -L 'https://www.segger.com/downloads/embedded-studio/EmbeddedStudio_ARM_Linux_x64' -o EmbeddedStudio_ARM_Linux_x64 && tar -xzvf EmbeddedStudio_ARM_Linux_x64 && cd arm_segger_embedded_studio_* &&./install_segger_embedded_studio --copy-files-to /ses --accept-license >/dev/null

FROM ubuntu:latest
RUN apt-get update && \
	apt-get install -y python3 python3-pip libfreetype6 libxrender1 libfontconfig1 libxext6 && \
	python3 -m pip install nrfutil
RUN mkdir /mergehex /nrfjprog /nRF5_SDK_15.2.0_9412b96 /ses
COPY --from=builder /mergehex /mergehex
COPY --from=builder /nrfjprog /nrfjprog
COPY --from=builder /nRF5_SDK_15.2.0_9412b96 /nRF5_SDK_15.2.0_9412b96
COPY --from=builder /ses /ses
ENV PATH="/mergehex:/nrfjprog:$PATH"
CMD ["/ses/bin/emBuild"]


